import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineWhereInputObjectSchema as ServiceLineWhereInputObjectSchema } from './ServiceLineWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => ServiceLineWhereInputObjectSchema).optional(),
  some: z.lazy(() => ServiceLineWhereInputObjectSchema).optional(),
  none: z.lazy(() => ServiceLineWhereInputObjectSchema).optional()
}).strict();
export const ServiceLineListRelationFilterObjectSchema: z.ZodType<Prisma.ServiceLineListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineListRelationFilter>;
export const ServiceLineListRelationFilterObjectZodSchema = makeSchema();
